# minigest

Un mini gestionale pensato per tenere sotto d'occhio i conti di un'azienda

[![pre-commit](https://img.shields.io/badge/pre--commit-enabled-brightgreen?logo=pre-commit&logoColor=white)](https://github.com/pre-commit/pre-commit)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)

## Installazione

Per installare minigest basta dare il seguente comando

```
pip install minigest
```

oppure

```
poetry add minigest
```

### Aggiunta delle applicazioni al progetto

minigest è una collezione di applicazioni, quindi per installarlo bisogna richiamare tutte le applicazioni create oppure solo quelle che desiderate.

Per farlo basta importare la lista di applicazioni fornita da minigest stesso

```python
from minigest import settings

INSTALLED_APPS = [
    "django.contrib.admin",
    "django.contrib.auth",
    "django.contrib.contenttypes",
    "django.contrib.sessions",
    "django.contrib.messages",
    "django.contrib.staticfiles",
    "rest_framework",
    "django_filters",
    *settings.INSTALLED_APPS,
]
```

oppure

```python
INSTALLED_APPS = [
    "django.contrib.admin",
    "django.contrib.auth",
    "django.contrib.contenttypes",
    "django.contrib.sessions",
    "django.contrib.messages",
    "django.contrib.staticfiles",

    "minigest.anagrafica",
    "minigest.docfisc",
    "minigest.fisco",
    "minigest.pos",
    "minigest.magazzino",
]
```

### Altre dipendenze

-   Pillow
-   djangorestframework
-   markdown
-   django-filter
-   django-polymorphic

#### Django Polymorphic

Alcuni modelli utilizzano lo schema polimorfico. Per far sì che questi funzionino bisogna installare **django-polimorphic**

rimando alla [guida](https://django-polymorphic.readthedocs.io/en/stable/quickstart.html) su come si installa **django-polymorphic**.

In breve bisogna installare l'applicazione aggiungendola a **INSTALLED_APPS** il più in alto possibile

```
INSTALLED_APPS = [
    'polymorphic',
    'django.contrib.contenttypes',
]
```

e il gioco è fatto!

## Configurazione

Una volta installato minigest bisogna configurarlo. Leggi la [Documentazione](./docs/configurazione.md) per scoprire come fare e quali passaggi eseguire.

## Demo

Per avviare la demo basta clonare il progetto minigest sul proprio computer e dare il seguente comando

```
python manage.py runserver
```

Si avvierà un server virtuale da cui si potrà visitare il sito demo.
