from django.contrib import admin

from ..models.chiusura import (
    ChiusuraAnnulloMerce,
    ChiusuraFiscale,
    ChiusuraRepartoIva,
    ChiusuraResoMerce,
)


class RepartoIvaAdmin(admin.TabularInline):
    model = ChiusuraRepartoIva
    min_num = 1
    extra = 0


class ResoMerceAdmin(admin.TabularInline):
    model = ChiusuraResoMerce
    extra = 0


class AnnulloMerceAdmin(admin.TabularInline):
    model = ChiusuraAnnulloMerce
    extra = 0


@admin.register(ChiusuraFiscale)
class ChiusuraFiscaleAdmin(admin.ModelAdmin):
    search_fields = ["data"]
    list_display = [
        "data",
        "cassa",
        "gran_totale",
        "totale",
        "totale_annulli",
        "totale_resi",
    ]
    inlines = [RepartoIvaAdmin, ResoMerceAdmin, AnnulloMerceAdmin]
