from decimal import Decimal


def scadenzario(azienda):
    scadenzario = list()

    for fattura in azienda.fatture_acquisto.all():
        if Decimal(fattura.saldo) < Decimal(0):
            if len(fattura.rate.all()) == 0:
                scadenzario.append(
                    {
                        "typeof": "fattura",
                        "id": fattura.id,
                        "data_scadenza": fattura.data,
                        "descrizione": f"{fattura}",
                        "totale": fattura.saldo,
                    }
                )
            else:
                for rata in fattura.rate.all():
                    scadenzario.append(
                        {
                            "typeof": "fattura",
                            "id": fattura.id,
                            "data_scadenza": rata.data_scadenza,
                            "descrizione": f"{fattura}",
                            "totale": rata.importo,
                        }
                    )

    # Ordina le scadenze per data
    scadenzario = sorted(scadenzario, key=lambda k: k["data_scadenza"])

    return scadenzario
