from django.contrib import admin

from ..models.articolo import Articolo
from .barcode import BarcodeInline
from .costo import CostoInline
from .prezzo import PrezzoInline
from .prodotto_immagine import ProdottoImmagineInline


@admin.register(Articolo)
class ArticoloAdmin(admin.ModelAdmin):
    ordering = ("nome",)
    list_display = ("nome", "categoria")
    search_fields = ["nome"]
    list_filter = ("categoria",)
    inlines = [
        BarcodeInline,
        PrezzoInline,
        CostoInline,
        ProdottoImmagineInline,
    ]
