from django.contrib import admin
from polymorphic.admin import PolymorphicChildModelFilter, PolymorphicParentModelAdmin

from ..models import Articolo, Prodotto, ProdottoCombinato, ProdottoVariante, Servizio


@admin.register(Prodotto)
class ProdottoAdmin(PolymorphicParentModelAdmin):
    child_models = (
        Articolo,
        Servizio,
        ProdottoCombinato,
        ProdottoVariante,
    )
    list_filter = (PolymorphicChildModelFilter,)
