from django.contrib import admin

from ..models.prodotto_combinato import ProdottoCombinato
from .barcode import BarcodeInline
from .costo import CostoInline
from .prezzo import PrezzoInline
from .prodotto_immagine import ProdottoImmagineInline


@admin.register(ProdottoCombinato)
class ProdottoCombinatoAdmin(admin.ModelAdmin):
    ordering = ("nome",)
    list_display = ("nome",)
    inlines = [
        BarcodeInline,
        PrezzoInline,
        CostoInline,
        ProdottoImmagineInline,
    ]

    fieldsets = (
        (
            None,
            {
                "fields": (
                    "categoria",
                    "fornitori",
                    "mostra_sul_sito",
                    "prodotti",
                    "url",
                ),
            },
        ),
        (
            "Descrizione",
            {
                "fields": ("nome", "descrizione_breve", "descrizione"),
            },
        ),
    )
