from django.contrib import admin

from ..models.prodotto_variante import ProdottoVariante
from .barcode import BarcodeInline
from .costo import CostoInline
from .prezzo import PrezzoInline
from .prodotto_immagine import ProdottoImmagineInline


@admin.register(ProdottoVariante)
class ProdottoVarianteAdmin(admin.ModelAdmin):
    ordering = ("nome",)
    list_display = ("prodotto", "variante", "variante_valore")

    inlines = [
        BarcodeInline,
        PrezzoInline,
        CostoInline,
        ProdottoImmagineInline,
    ]

    fieldsets = (
        (
            "Articolo",
            {
                "fields": ("prodotto",),
            },
        ),
        (
            "Attributi",
            {
                "fields": ("variante", "variante_valore"),
            },
        ),
        (
            "Altro",
            {
                "fields": ("url", "mostra_sul_sito"),
            },
        ),
    )
