from django.contrib import admin

from ..models.servizio import Servizio
from .barcode import BarcodeInline
from .costo import CostoInline
from .prezzo import PrezzoInline
from .prodotto_immagine import ProdottoImmagineInline


@admin.register(Servizio)
class ServizioAdmin(admin.ModelAdmin):
    exclude = ("fornitori",)
    ordering = ("nome",)
    list_display = ("nome", "categoria")
    search_fields = ["nome"]
    list_filter = ("categoria",)
    inlines = [
        BarcodeInline,
        PrezzoInline,
        CostoInline,
        ProdottoImmagineInline,
    ]
