# Generated by Django 4.0 on 2022-01-01 10:23

import uuid

import django.db.models.deletion
from django.db import migrations, models

import minigest.magazzino.helpers.updirs


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("anagrafica", "0002_alter_soggettofiscale_options_and_more"),
        ("contenttypes", "0002_remove_content_type_name"),
    ]

    operations = [
        migrations.CreateModel(
            name="CaricoMerce",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("data", models.DateField(auto_now_add=True)),
            ],
            options={
                "verbose_name": "Carico Merce",
                "verbose_name_plural": "Carichi Merce",
                "ordering": ("-data",),
            },
        ),
        migrations.CreateModel(
            name="Categoria",
            fields=[
                ("nome", models.CharField(max_length=200)),
                (
                    "url",
                    models.SlugField(primary_key=True, serialize=False, unique=True),
                ),
                ("descrizione_breve", models.TextField(max_length=500)),
                ("descrizione", models.TextField(blank=True, default=None)),
                (
                    "wallpaper",
                    models.ImageField(
                        blank=True,
                        default=None,
                        upload_to=minigest.magazzino.helpers.updirs.wallpapers_dir,
                    ),
                ),
            ],
            options={
                "verbose_name": "Categoria",
                "verbose_name_plural": "Categorie",
            },
        ),
        migrations.CreateModel(
            name="Inventario",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("data", models.DateField(auto_now_add=True, unique=True)),
            ],
            options={
                "verbose_name": "Inventario",
                "verbose_name_plural": "Inventari",
            },
        ),
        migrations.CreateModel(
            name="Listino",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("nome", models.CharField(max_length=200)),
            ],
            options={
                "verbose_name": "Listino",
                "verbose_name_plural": "Listini",
            },
        ),
        migrations.CreateModel(
            name="Prodotto",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "uuid",
                    models.UUIDField(default=uuid.uuid4, editable=False, unique=True),
                ),
                ("nome", models.CharField(max_length=60)),
                (
                    "descrizione_breve",
                    models.TextField(
                        blank=True, default=None, max_length=500, null=True
                    ),
                ),
                ("descrizione", models.TextField(blank=True, default=None, null=True)),
                (
                    "url",
                    models.CharField(
                        blank=True, default=None, max_length=500, null=True
                    ),
                ),
                (
                    "categoria",
                    models.ForeignKey(
                        blank=True,
                        default=None,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="magazzino.categoria",
                    ),
                ),
                (
                    "fornitore",
                    models.ManyToManyField(
                        blank=True,
                        default=None,
                        related_name="prodotti",
                        to="anagrafica.SoggettoFiscale",
                    ),
                ),
                (
                    "polymorphic_ctype",
                    models.ForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="polymorphic_%(app_label)s.%(class)s_set+",
                        to="contenttypes.contenttype",
                    ),
                ),
            ],
            options={
                "verbose_name": "Prodotto",
                "verbose_name_plural": "Prodotti",
                "ordering": ("nome",),
            },
        ),
        migrations.CreateModel(
            name="Variante",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("variante", models.CharField(max_length=255)),
            ],
            options={
                "verbose_name": "Variante",
                "verbose_name_plural": "Varianti",
            },
        ),
        migrations.CreateModel(
            name="VarianteValore",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("valore", models.CharField(max_length=255)),
                (
                    "variante",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="valori",
                        to="magazzino.variante",
                    ),
                ),
            ],
            options={
                "verbose_name": "Variante valore",
                "verbose_name_plural": "Variante valori",
            },
        ),
        migrations.CreateModel(
            name="Prezzo",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "aliquota_iva",
                    models.DecimalField(decimal_places=2, default=22, max_digits=19),
                ),
                (
                    "prezzo",
                    models.DecimalField(
                        blank=True,
                        decimal_places=2,
                        default=None,
                        max_digits=19,
                        null=True,
                    ),
                ),
                (
                    "prezzo_offerta",
                    models.DecimalField(
                        blank=True,
                        decimal_places=2,
                        default=None,
                        max_digits=19,
                        null=True,
                    ),
                ),
                ("prezzo_a_partire", models.BooleanField(default=False)),
                (
                    "listino",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        to="magazzino.listino",
                    ),
                ),
                (
                    "prodotto",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="prezzi",
                        to="magazzino.prodotto",
                    ),
                ),
            ],
            options={
                "verbose_name": "Prezzo",
                "verbose_name_plural": "Prezzi",
            },
        ),
        migrations.CreateModel(
            name="InventarioProdotto",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("quantita", models.IntegerField(verbose_name="Quantità")),
                (
                    "inventario",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="prodotti",
                        to="magazzino.inventario",
                    ),
                ),
                (
                    "prodotto",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="magazzino.prodotto",
                    ),
                ),
            ],
            options={
                "verbose_name": "Inventario Prodotto",
                "verbose_name_plural": "Inventario Prodotti",
            },
        ),
        migrations.CreateModel(
            name="Costo",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "aliquota_iva",
                    models.DecimalField(decimal_places=2, default=22, max_digits=19),
                ),
                ("importo", models.DecimalField(decimal_places=2, max_digits=19)),
                ("iva_esclusa", models.BooleanField(default=True)),
                (
                    "fornitore",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        to="anagrafica.soggettofiscale",
                    ),
                ),
                (
                    "prodotto",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="costi",
                        to="magazzino.prodotto",
                    ),
                ),
            ],
            options={
                "verbose_name": "Costo",
                "verbose_name_plural": "Costi",
            },
        ),
        migrations.CreateModel(
            name="CaricoMerceProdotto",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("quantita", models.IntegerField(verbose_name="Quantità")),
                (
                    "carico",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="prodotti",
                        to="magazzino.caricomerce",
                    ),
                ),
                (
                    "prodotto",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="magazzino.prodotto",
                    ),
                ),
            ],
            options={
                "verbose_name": "Carico Merce Prodotto",
                "verbose_name_plural": "Carichi Merce Prodotti",
            },
        ),
        migrations.CreateModel(
            name="Barcode",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("codice", models.CharField(max_length=200, unique=True)),
                (
                    "prodotto",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="barcode",
                        to="magazzino.prodotto",
                    ),
                ),
            ],
            options={
                "verbose_name": "Barcode",
                "verbose_name_plural": "Barcode",
            },
        ),
        migrations.CreateModel(
            name="ProdottoVariante",
            fields=[
                (
                    "prodotto_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="magazzino.prodotto",
                    ),
                ),
                (
                    "prodotto",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="varianti",
                        to="magazzino.prodotto",
                    ),
                ),
                (
                    "variante",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="magazzino.variante",
                    ),
                ),
                (
                    "variante_valore",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="magazzino.variantevalore",
                    ),
                ),
            ],
            options={
                "verbose_name": "Prodotto Variante",
                "verbose_name_plural": "Prodotto Varianti",
            },
            bases=("magazzino.prodotto",),
        ),
    ]
