from django.db import models

from .carico import CaricoMerce
from .prodotto import Prodotto


class CaricoMerceProdotto(models.Model):
    carico = models.ForeignKey(
        CaricoMerce, on_delete=models.CASCADE, related_name="prodotti"
    )

    prodotto = models.ForeignKey(Prodotto, on_delete=models.CASCADE)

    quantita = models.IntegerField(verbose_name="Quantità")

    def __str__(self):
        return f"{self.carico.data} +{self.quantita} {self.prodotto.nome}"

    class Meta:
        verbose_name = "Carico Merce Prodotto"
        verbose_name_plural = "Carichi Merce Prodotti"
