from django.db import models

from minigest.anagrafica.models import SoggettoFiscale

from .prodotto import Prodotto


class Costo(models.Model):
    prodotto = models.ForeignKey(
        Prodotto, on_delete=models.CASCADE, related_name="costi"
    )

    fornitore = models.ForeignKey(SoggettoFiscale, on_delete=models.PROTECT)

    aliquota_iva = models.DecimalField(
        max_digits=19,
        decimal_places=2,
        default=22,
    )

    importo = models.DecimalField(
        max_digits=19,
        decimal_places=2,
    )

    iva_esclusa = models.BooleanField(default=True)

    class Meta:
        verbose_name = "Costo"
        verbose_name_plural = "Costi"
