from django.db import models

from .listino import Listino
from .prodotto import Prodotto


class Prezzo(models.Model):
    prodotto = models.ForeignKey(
        Prodotto, on_delete=models.CASCADE, related_name="prezzi"
    )

    listino = models.ForeignKey(Listino, on_delete=models.PROTECT)

    aliquota_iva = models.DecimalField(
        max_digits=19,
        decimal_places=2,
        default=22,
    )

    prezzo = models.DecimalField(
        max_digits=19,
        decimal_places=2,
        blank=True,
        default=None,
        null=True,
    )

    prezzo_offerta = models.DecimalField(
        max_digits=19,
        decimal_places=2,
        blank=True,
        default=None,
        null=True,
    )

    prezzo_a_partire = models.BooleanField(default=False)

    def __str__(self):
        return f"{self.prodotto.nome} listino {self.listino.nome} {self.prezzo} €"

    class Meta:
        verbose_name = "Prezzo"
        verbose_name_plural = "Prezzi"
