from rest_framework import serializers

from ..models import CaricoMerce, CaricoMerceProdotto


class CaricoMerceProdottoSerializer(serializers.ModelSerializer):
    prodotto_nome = serializers.CharField(source="prodotto.nome", read_only=True)

    class Meta:
        model = CaricoMerceProdotto
        fields = ["id", "carico", "prodotto", "prodotto_nome", "quantita"]


class CaricoMerceProdottoSerializerInline(serializers.ModelSerializer):
    prodotto_nome = serializers.CharField(source="prodotto.nome", read_only=True)

    class Meta:
        model = CaricoMerceProdotto
        fields = ["id", "prodotto", "prodotto_nome", "quantita"]


class CaricoMerceSerializer(serializers.ModelSerializer):
    prodotti = CaricoMerceProdottoSerializerInline(many=True)

    class Meta:
        model = CaricoMerce
        fields = ["id", "data", "prodotti"]

    def create(self, validated_data):
        carico_ps = validated_data.pop("prodotti")

        carico = CaricoMerce.objects.create(**validated_data)

        for prodotto in carico_ps:
            CaricoMerceProdotto.objects.create(carico=carico, **prodotto)
        return carico
