from rest_framework import serializers

from ..models import InventarioProdotto


class InventarioProdottoSerializer(serializers.ModelSerializer):
    prodotto_nome = serializers.CharField(source="prodotto.nome", read_only=True)

    class Meta:
        model = InventarioProdotto
        fields = [
            "id",
            "inventario",
            "prodotto",
            "prodotto_nome",
            "quantita",
            "totale_acquisti",
            "venduto",
            "giacenza_precedente",
        ]
        read_only_fields = ["prodotto_nome", "venduto"]
