from rest_framework import serializers

from ..models import ProdottoCombinato
from .barcode import BarcodeInline
from .costo import CostoInline
from .prezzo import PrezzoInline
from .prodotto import ProdottoSerializerMininal
from .prodotto_immagine import ProdottoImmagineInline


class ProdottoCombinatoSerializer(serializers.ModelSerializer):
    barcode = BarcodeInline(many=True, read_only=True)
    prezzi = PrezzoInline(many=True, read_only=True)
    costi = CostoInline(many=True, read_only=True)
    prodotti = ProdottoSerializerMininal(many=True, read_only=True)
    immagini = ProdottoImmagineInline(many=True, read_only=True)

    class Meta:
        model = ProdottoCombinato
        fields = [
            "id",
            "uuid",
            "url",
            "mostra_sul_sito",
            "categoria",
            "nome",
            "descrizione_breve",
            "descrizione",
            "fornitori",
            "prodotti",
            "barcode",
            "prezzi",
            "costi",
            "immagini",
        ]
