from rest_framework import serializers

from ..models import ProdottoVariante
from .barcode import BarcodeInline
from .costo import CostoInline
from .prezzo import PrezzoInline
from .prodotto import ProdottoSerializerMininal
from .prodotto_immagine import ProdottoImmagineInline


class ProdottoVarianteSerializer(serializers.ModelSerializer):
    barcode = BarcodeInline(many=True, read_only=True)
    prezzi = PrezzoInline(many=True, read_only=True)
    costi = CostoInline(many=True, read_only=True)
    variante = serializers.CharField(source="variante.variante")
    variante_valore = serializers.CharField(source="variante_valore.valore")
    prodotto = ProdottoSerializerMininal(read_only=True)
    immagini = ProdottoImmagineInline(many=True, read_only=True)

    class Meta:
        model = ProdottoVariante
        fields = [
            "id",
            "uuid",
            "url",
            "mostra_sul_sito",
            "categoria",
            "prodotto",
            "variante",
            "variante_valore",
            "nome",
            "descrizione_breve",
            "fornitori",
            "barcode",
            "prezzi",
            "costi",
            "immagini",
        ]
