from rest_framework import serializers

from ..models import Servizio
from .barcode import BarcodeInline
from .costo import CostoInline
from .prezzo import PrezzoInline
from .prodotto import ProdottoSerializerMininal
from .prodotto_immagine import ProdottoImmagineInline
from .prodotto_variante import ProdottoVarianteSerializer


class ServizioSerializer(serializers.ModelSerializer):
    barcode = BarcodeInline(many=True, read_only=True)
    prezzi = PrezzoInline(many=True, read_only=True)
    costi = CostoInline(many=True, read_only=True)
    varianti = ProdottoVarianteSerializer(many=True, read_only=True)
    combinati = ProdottoSerializerMininal(many=True, read_only=True)
    immagini = ProdottoImmagineInline(many=True, read_only=True)

    class Meta:
        model = Servizio
        fields = [
            "id",
            "uuid",
            "url",
            "mostra_sul_sito",
            "categoria",
            "nome",
            "descrizione_breve",
            "descrizione",
            "barcode",
            "prezzi",
            "costi",
            "varianti",
            "combinati",
            "immagini",
        ]
