from rest_framework import serializers

from ..models import Variante, VarianteValore


class VarianteValoreSerializerMinimal(serializers.ModelSerializer):
    class Meta:
        model = VarianteValore
        fields = ["valore"]


class VarianteSerializerMinimal(serializers.ModelSerializer):
    class Meta:
        model = Variante
        fields = ["variante"]


class VarianteSerializer(serializers.ModelSerializer):
    valori = VarianteValoreSerializerMinimal(many=True)

    class Meta:
        model = Variante
        fields = ["id", "variante", "valori"]

    def create(self, validated_data):
        valori = validated_data.pop("valori")

        variante = Variante.objects.create(**validated_data)

        for v in valori:
            VarianteValore.objects.create(variante=variante, **v)

        return variante
