from django.conf import settings
from rest_framework import filters, permissions, viewsets

from ..models import CaricoMerce
from ..serializers import CaricoMerceSerializer

permission = (
    permissions.AllowAny if settings.DEBUG else permissions.IsAuthenticatedOrReadOnly
)


class CaricoMerceViewSet(viewsets.ModelViewSet):
    permission_classes = [permission]
    queryset = CaricoMerce.objects.all().order_by("-data")
    serializer_class = CaricoMerceSerializer
    filter_backends = [filters.SearchFilter]
    search_fields = ["data"]
