from django.conf import settings
from django_filters.rest_framework import DjangoFilterBackend
from rest_framework import filters, permissions, viewsets

from ..models import CaricoMerceProdotto
from ..serializers import CaricoMerceProdottoSerializer

permission = (
    permissions.AllowAny if settings.DEBUG else permissions.IsAuthenticatedOrReadOnly
)


class CaricoMerceProdottoViewSet(viewsets.ModelViewSet):
    permission_classes = [permission]
    queryset = CaricoMerceProdotto.objects.all().order_by("-carico__data")
    serializer_class = CaricoMerceProdottoSerializer
    filter_backends = [filters.SearchFilter, DjangoFilterBackend]
    filterset_fields = ["carico", "prodotto"]
