from django.conf import settings
from rest_framework import filters, permissions, viewsets

from ..models.categoria import Categoria
from ..serializers import CategoriaSerializer

permission = (
    permissions.AllowAny if settings.DEBUG else permissions.IsAuthenticatedOrReadOnly
)


class CategoriaViewSet(viewsets.ModelViewSet):
    permission_classes = [permission]
    queryset = Categoria.objects.all()
    serializer_class = CategoriaSerializer
    filter_backends = [filters.SearchFilter]
    search_fields = ["slug"]
