from django.conf import settings
from rest_framework import filters, permissions, viewsets

from ..models.inventario import Inventario
from ..serializers import InventarioSerializer

permission = (
    permissions.AllowAny if settings.DEBUG else permissions.IsAuthenticatedOrReadOnly
)


class InventarioViewSet(viewsets.ModelViewSet):
    permission_classes = [permission]
    queryset = Inventario.objects.all()
    serializer_class = InventarioSerializer
    filter_backends = [filters.SearchFilter]
    search_fields = ["data"]
