from django.conf import settings
from django_filters.rest_framework import DjangoFilterBackend
from rest_framework import filters, permissions, viewsets

from ..models import InventarioProdotto
from ..serializers import InventarioProdottoSerializer

permission = (
    permissions.AllowAny if settings.DEBUG else permissions.IsAuthenticatedOrReadOnly
)


class InventarioProdottoViewSet(viewsets.ModelViewSet):
    permission_classes = [permission]
    queryset = InventarioProdotto.objects.all().order_by("-inventario__data")
    serializer_class = InventarioProdottoSerializer
    filter_backends = [filters.SearchFilter, DjangoFilterBackend]
    filterset_fields = ["inventario", "prodotto"]
