from django.conf import settings
from rest_framework import permissions, viewsets

from ..models import Listino
from ..serializers import ListinoSerializer

permission = (
    permissions.AllowAny if settings.DEBUG else permissions.IsAuthenticatedOrReadOnly
)


class ListinoViewSet(viewsets.ModelViewSet):
    permission_classes = [permission]
    queryset = Listino.objects.all()
    serializer_class = ListinoSerializer
