from django.conf import settings
from django_filters.rest_framework import DjangoFilterBackend
from rest_framework import filters, permissions, viewsets

from ..models import Prodotto
from ..serializers import ProdottoSerializer

permission = (
    permissions.AllowAny if settings.DEBUG else permissions.IsAuthenticatedOrReadOnly
)


class ProdottoViewSet(viewsets.ModelViewSet):
    permission_classes = [permission]
    queryset = Prodotto.objects.all()
    serializer_class = ProdottoSerializer
    filter_backends = [DjangoFilterBackend, filters.SearchFilter]
    search_fields = ["nome", "descrizione_breve", "descrizione"]
    filterset_fields = ["categoria", "url"]
