from django.conf import settings
from django_filters.rest_framework import DjangoFilterBackend
from rest_framework import filters, permissions, viewsets

from ..models import ProdottoCombinato
from ..serializers import ProdottoCombinatoSerializer

permission = (
    permissions.AllowAny if settings.DEBUG else permissions.IsAuthenticatedOrReadOnly
)


class ProdottoCombinatoViewSet(viewsets.ModelViewSet):
    permission_classes = [permission]
    queryset = ProdottoCombinato.objects.all()
    serializer_class = ProdottoCombinatoSerializer
    filter_backends = [DjangoFilterBackend, filters.SearchFilter]
    search_fields = ["nome"]
    filterset_fields = ["categoria", "url"]
