from django.conf import settings
from django.db.models import Sum
from django.db.models.functions import Coalesce
from rest_framework import permissions, status
from rest_framework.response import Response
from rest_framework.views import APIView

from ..models import Prodotto


class ProdottoInOffertaViewSet(APIView):
    permission_classes = [permissions.AllowAny]

    def get(self, request, listino=1):
        prodotti = list()

        for prodotto in Prodotto.objects.filter(mostra_sul_sito=True):
            context = dict()

            for prezzo in prodotto.prezzi.filter(listino=listino):
                if prezzo.prezzo is not None:
                    if prezzo.prezzo_offerta is not None:
                        try:
                            prodotto.prodotto
                            url = prodotto.prodotto.url
                        except:
                            url = prodotto.url

                        context = {
                            "id": prodotto.id,
                            "uuid": prodotto.uuid,
                            "categoria": {
                                "nome": prodotto.categoria.nome,
                                "url": prodotto.categoria.url,
                            },
                            "url": url,
                            "nome": prodotto.nome,
                            "descrizione_breve": prodotto.descrizione_breve,
                            "prezzo_a_partire": prezzo.prezzo_a_partire,
                            "prezzo": prezzo.prezzo,
                            "prezzo_offerta": prezzo.prezzo_offerta,
                        }

                        prodotti.append(context)

        return Response(prodotti)
