from django.conf import settings
from django_filters.rest_framework import DjangoFilterBackend
from rest_framework import filters, permissions, viewsets

from ..models import ProdottoVariante
from ..serializers import ProdottoVarianteSerializer

permission = (
    permissions.AllowAny if settings.DEBUG else permissions.IsAuthenticatedOrReadOnly
)


class ProdottoVarianteViewSet(viewsets.ModelViewSet):
    permission_classes = [permission]
    queryset = ProdottoVariante.objects.all()
    serializer_class = ProdottoVarianteSerializer
    filter_backends = [DjangoFilterBackend, filters.SearchFilter]
    search_fields = ["nome"]
    filterset_fields = ["categoria", "prodotto"]
