from django.conf import settings
from django_filters.rest_framework import DjangoFilterBackend
from rest_framework import filters, permissions, viewsets

from ..models import Servizio
from ..serializers import ServizioSerializer

permission = (
    permissions.AllowAny if settings.DEBUG else permissions.IsAuthenticatedOrReadOnly
)


class ServizioViewSet(viewsets.ModelViewSet):
    permission_classes = [permission]
    queryset = Servizio.objects.all()
    serializer_class = ServizioSerializer
    filter_backends = [DjangoFilterBackend, filters.SearchFilter]
    search_fields = ["nome"]
    filterset_fields = ["categoria", "url"]
