# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['minigest',
 'minigest.anagrafica',
 'minigest.anagrafica.admin',
 'minigest.anagrafica.migrations',
 'minigest.anagrafica.models',
 'minigest.anagrafica.serializers',
 'minigest.anagrafica.viewsets',
 'minigest.contabilita',
 'minigest.contabilita.helpers',
 'minigest.contabilita.urls',
 'minigest.contabilita.urls_api',
 'minigest.contabilita.views',
 'minigest.contabilita.viewsets',
 'minigest.docfisc',
 'minigest.docfisc.admin',
 'minigest.docfisc.helpers',
 'minigest.docfisc.migrations',
 'minigest.docfisc.models',
 'minigest.docfisc.models.chiusura',
 'minigest.docfisc.models.fattura',
 'minigest.docfisc.serializers',
 'minigest.docfisc.serializers.chiusura',
 'minigest.docfisc.serializers.fattura',
 'minigest.docfisc.signals',
 'minigest.docfisc.urls',
 'minigest.docfisc.urls_api',
 'minigest.docfisc.views',
 'minigest.docfisc.viewsets',
 'minigest.fisco',
 'minigest.fisco.admin',
 'minigest.fisco.migrations',
 'minigest.fisco.models',
 'minigest.fisco.serializers',
 'minigest.fisco.viewsets',
 'minigest.helpers',
 'minigest.magazzino',
 'minigest.magazzino.admin',
 'minigest.magazzino.helpers',
 'minigest.magazzino.migrations',
 'minigest.magazzino.models',
 'minigest.magazzino.serializers',
 'minigest.magazzino.signals',
 'minigest.magazzino.tests',
 'minigest.magazzino.viewsets',
 'minigest.pos',
 'minigest.pos.admin',
 'minigest.pos.migrations',
 'minigest.pos.models',
 'minigest.pos.serializers',
 'minigest.pos.viewsets',
 'minigest.tributi',
 'minigest.tributi.admin',
 'minigest.tributi.admin.accertamento',
 'minigest.tributi.admin.accertamento_rata',
 'minigest.tributi.admin.quietanza',
 'minigest.tributi.admin.tributo',
 'minigest.tributi.helpers',
 'minigest.tributi.migrations',
 'minigest.tributi.models',
 'minigest.tributi.models.accertamento',
 'minigest.tributi.models.accertamento_rata',
 'minigest.tributi.models.quietanza',
 'minigest.tributi.models.tributo',
 'minigest.tributi.serializers',
 'minigest.tributi.serializers.accertamento',
 'minigest.tributi.serializers.accertamento_rata',
 'minigest.tributi.serializers.quietanza',
 'minigest.tributi.serializers.tributo',
 'minigest.tributi.signals',
 'minigest.tributi.urls_api',
 'minigest.tributi.viewsets']

package_data = \
{'': ['*'],
 'minigest.contabilita': ['static/contabilita/*', 'templates/contabilita/*'],
 'minigest.docfisc': ['fixtures/*', 'static/docfisc/*', 'templates/docfisc/*'],
 'minigest.fisco': ['fixtures/*']}

install_requires = \
['Django>=4.0,<5.0',
 'Markdown>=3.3.6,<4.0.0',
 'Pillow>=8.4.0,<9.0.0',
 'django-filter>=21.1,<22.0',
 'django-polymorphic>=3.1.0,<4.0.0',
 'django-rest-polymorphic>=0.1.9,<0.2.0',
 'djangorestframework>=3.12.4,<4.0.0']

setup_kwargs = {
    'name': 'minigest',
    'version': '1.15.0',
    'description': "Un mini gestionale pensato per tenere sotto d'occhio i conti di un'azienda",
    'long_description': '# minigest\n\nUn mini gestionale pensato per tenere sotto d\'occhio i conti di un\'azienda\n\n[![pre-commit](https://img.shields.io/badge/pre--commit-enabled-brightgreen?logo=pre-commit&logoColor=white)](https://github.com/pre-commit/pre-commit)\n[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)\n\n## Installazione\n\nPer installare minigest basta dare il seguente comando\n\n```\npip install minigest\n```\n\noppure\n\n```\npoetry add minigest\n```\n\n### Aggiunta delle applicazioni al progetto\n\nminigest è una collezione di applicazioni, quindi per installarlo bisogna richiamare tutte le applicazioni create oppure solo quelle che desiderate.\n\nPer farlo basta importare la lista di applicazioni fornita da minigest stesso\n\n```python\nfrom minigest import settings\n\nINSTALLED_APPS = [\n    "django.contrib.admin",\n    "django.contrib.auth",\n    "django.contrib.contenttypes",\n    "django.contrib.sessions",\n    "django.contrib.messages",\n    "django.contrib.staticfiles",\n    "rest_framework",\n    "django_filters",\n    *settings.INSTALLED_APPS,\n]\n```\n\noppure\n\n```python\nINSTALLED_APPS = [\n    "django.contrib.admin",\n    "django.contrib.auth",\n    "django.contrib.contenttypes",\n    "django.contrib.sessions",\n    "django.contrib.messages",\n    "django.contrib.staticfiles",\n\n    "minigest.anagrafica",\n    "minigest.docfisc",\n    "minigest.fisco",\n    "minigest.pos",\n    "minigest.magazzino",\n]\n```\n\n### Altre dipendenze\n\n-   Pillow\n-   djangorestframework\n-   markdown\n-   django-filter\n-   django-polymorphic\n\n#### Django Polymorphic\n\nAlcuni modelli utilizzano lo schema polimorfico. Per far sì che questi funzionino bisogna installare **django-polimorphic**\n\nrimando alla [guida](https://django-polymorphic.readthedocs.io/en/stable/quickstart.html) su come si installa **django-polymorphic**.\n\nIn breve bisogna installare l\'applicazione aggiungendola a **INSTALLED_APPS** il più in alto possibile\n\n```\nINSTALLED_APPS = [\n    \'polymorphic\',\n    \'django.contrib.contenttypes\',\n]\n```\n\ne il gioco è fatto!\n\n## Configurazione\n\nUna volta installato minigest bisogna configurarlo. Leggi la [Documentazione](./docs/configurazione.md) per scoprire come fare e quali passaggi eseguire.\n\n## Demo\n\nPer avviare la demo basta clonare il progetto minigest sul proprio computer e dare il seguente comando\n\n```\npython manage.py runserver\n```\n\nSi avvierà un server virtuale da cui si potrà visitare il sito demo.\n',
    'author': 'Davide Di Criscito',
    'author_email': 'davide.dicriscito@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/ctrlmaniac/minigest',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
